// pages/member/rankingListSecond/rankingListSecond.js
const OPEN_INDEX_URL = "plugin.universal-card.api.home.get-level";
var app = getApp();
Page({

  /**
	 * 页面的初始数据
	 */
  data: {
    listArr: []
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function(options) {
    this.initData();
    this.getData();
  },

  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function() {

  },

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function() {

  },

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function() {

  },

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function() {

  },

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function() {

  },

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function() {

  },

  /**
	 * 用户点击右上角分享
	 */
  onShareAppMessage: function() {

  },
  initData() {
    this.setData({
      listArr: []
    });
  },
  getData() {
    let that = this;
    let urlStr = app.getNetAddresss(OPEN_INDEX_URL);
    app._getNetWork({
      url: urlStr,
      success: function(resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          that.setData({
            listArr: res.data.member_level
          });
        }
      },
      fail: function(res) {
        console.log(res);
      }
    });
  },
  openSubmit(e) {
    let value = e.currentTarget.dataset.item;
    //判断是否有周期，有周期跳转至选择周期,没有周期直接订单页
    if (!app._isTextEmpty(value.has_one_universal_level.goods_spec)) {
      wx.navigateTo({
        url: '/packageC/o2o/card/new_card/new_card?level_id=' + value.id+'&spec=goods_spec'
      });
    } else {
      // 没有周期跳转到选择商品，然后再去选周期
      // 购买指定商品
      wx.navigateTo({
        url: '/packageC/o2o/card/new_card/new_card?level_id=' + value.id,
      });
    }
  }
});
